import EventEmitter from "events";

export default class EventBus extends EventEmitter {
  private static _instance: EventBus | null = null;

  public static getInstance() {
    if (!EventBus._instance) {
      EventBus._instance = new EventBus();
    }
    return EventBus._instance;
  }
}

export namespace EventNamesDefine {
  export const UnSelectAllWindows = "unselect_all_windows";
  export const WindowResize = "windowResize";
  export const ResponseMessage = "onResponseData";
}
